Skip to main content
Back to API List Triggers a conversation summary event in the Agent AI system to send event data related to a conversation to the specified AI Agent.

API Details

FieldValue
MethodPOST
Endpointhttps://{{host}}/api/v1/public/bot/{{botId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token

Path Parameters

ParameterRequiredDescription
hostYesThe environment URL. For example, https://platform.kore.ai.
botIdYesAI Agent ID or Stream ID. Available on the General Settings page of the AI Agent.

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/hooks/st-c04e225f-a30b-5a0a-9524-a60ebdbxxxxx' \
--header 'Content-Type: application/json' \
--header 'token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "conversationId": "atesta-m03sxxxxx",
    "botId": "st-c04e225f-a30b-5a0a-9524-a60ebdbxxxxx",
    "events": [
        {
            "name": "TRIGGER_SUMMARY_EVENT",
            "data": {
                "language": "English",
                "locale": "en",
                "type": "post"
            }
        }
    ]
}'

Body Parameters

ParameterRequiredDescription
conversationIdYesUnique identifier for the conversation.
botIdYesUnique identifier for the AI Agent.
eventsYesList of events to trigger.
events[].nameYesName of the event. For example, "TRIGGER_SUMMARY_EVENT".
events[].dataYesAdditional data for the event.
events[].data.languageYesLanguage of the event. Example: "English".
events[].data.localeYesLocale of the event. Example: "en".
events[].data.typeYesType of the event. Example: "post".

Sample Response

{
    "STATUS": "OK"
}